List pipeline stages
GET
/api/v2/pipeline/stagesReturns your pipeline stages in board order. New contacts start in the stage where is_default is true.
Rate limit 300 requests per minute
Headers
x-api-keyheaderRequiredYour API key.
Content-Typeheaderapplication/json. Not needed for this request.
Query parameters
statusstringactive(default),archivedorall.
Errors
| Error | When |
|---|---|
400 invalid_status | status is not active, archived or all. |
curl "https://app.dmtracker.ai/api/v2/pipeline/stages" \
-H "x-api-key: $DMTRACKER_API_KEY" \
-H "Content-Type: application/json"{
"status": "success",
"data": [
{
"id": "2b6f0e1a-8d3c-4f57-a1e9-5c7d9b3e0f42",
"name": "New Lead",
"color": "#3B82F6",
"position": 1,
"status": "active",
"is_default": true,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "5a0c3e7b-9d21-4b6f-8e4a-7f1d2c9b0a56",
"name": "Outreach Sent",
"color": "#FF6A00",
"position": 2,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "9e4a7c21-6b0d-4e8f-b352-1a9c8d7e6f03",
"name": "In Conversation",
"color": "#FF8A2E",
"position": 3,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "c81f4b2d-0e6a-4d39-9b75-3e8a1f6c2d90",
"name": "Interested",
"color": "#FFA040",
"position": 4,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "1f7d9a3c-5e2b-4c80-a6f1-8b4e0d3c7a25",
"name": "Meeting Booked",
"color": "#FFB340",
"position": 5,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "6d2b8e4f-3a1c-4f7d-b9e0-5c6a2d8f1b74",
"name": "Closed",
"color": "#22C55E",
"position": 6,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": false,
"created_at": "2026-03-31T10:37:35.818+00:00"
},
{
"id": "a4e0c6b8-2d7f-4a1e-8c35-9f0b6d4e2a18",
"name": "Lost",
"color": "#E63946",
"position": 7,
"status": "active",
"is_default": false,
"hidden_from_funnel_view": true,
"created_at": "2026-03-31T10:37:35.818+00:00"
}
],
"total": 7
}